Skip Navigation

[Résolu] PHP Warning – disabled for security reasons

Ce fil est résolu. Voici une description du problème et la solution proposée.

Problem: PHP Warning - disabled for security reasons

Warning: getcwd() has been disabled for security reasons in /mnt/disk1/home/chillicyclingksb/public_html/wp-content/plugins/types/vendor/toolset/toolset-common/lib/Twig/src/Loader/FilesystemLoader.php on line 34

Solution: Can you please check with your hosting/server authority if they have block such functions.

Please check: https://www.plothost.com/kb/disable-dangerous-php-functions-web-hosting-server/

Relevant Documentation:

This is the technical support forum for Toolset - a suite of plugins for developing WordPress sites without writing PHP.

Everyone can read this forum, but only Toolset clients can post in it. Toolset support works 6 days per week, 19 hours per day.

This topic contains 2 réponses, has 2 voix.

Last updated by fred-r.M Il y a 1 mois et 3 semaines.

Assigned support staff: Minesh.

Auteur
Publications
#2075763

We are getting this Warning:

Warning: getcwd() has been disabled for security reasons in /mnt/disk1/home/chillicyclingksb/public_html/wp-content/plugins/types/vendor/toolset/toolset-common/lib/Twig/src/Loader/FilesystemLoader.php on line 34

What could this problem be?

Sure - I might could disable warnings somehow, but somehow our hosting provider started to block us.

Link to a page where the issue can be seen: hidden link

#2075891

Minesh
Supporter

Languages: Anglais (English )

Timezone: Asia/Kolkata (GMT+05:30)

Hello. Thank you for contacting the Toolset support.

Can you please check with your hosting/server authority if they have block such functions.

Please check:
hidden link

#2076643

My issue is resolved now. Thank you!